Bug 624768 - [abrt] soundconverter-1.4.4-2.fc13: soundconverter:545:get_target_name:UnicodeDecodeError: 'utf8' codec can't decode byte 0xa2 in position 11: unexpected code byte
[abrt] soundconverter-1.4.4-2.fc13: soundconverter:545:get_target_name:Unicod...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
abrt_hash:6021bccc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 13:18 EDT by Gerardo Carmona
Modified: 2011-06-28 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.92 KB, text/plain)
2010-08-17 13:18 EDT, Gerardo Carmona
no flags Details

  None (edit)
Description Gerardo Carmona 2010-08-17 13:18:19 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python -tt /usr/bin/soundconverter
component: soundconverter
executable: /usr/bin/soundconverter
kernel: 2.6.33.6-147.2.4.fc13.i686.PAE
package: soundconverter-1.4.4-2.fc13
reason: soundconverter:545:get_target_name:UnicodeDecodeError: 'utf8' codec can't decode byte 0xa2 in position 11: unexpected code byte
release: Fedora release 13 (Goddard)
time: 1282065331
uid: 500

backtrace
-----
soundconverter:545:get_target_name:UnicodeDecodeError: 'utf8' codec can't decode byte 0xa2 in position 11: unexpected code byte

Traceback (most recent call last):
  File "/usr/bin/soundconverter", line 2504, in on_convert_button_clicked
    self.do_convert()
  File "/usr/bin/soundconverter", line 2467, in do_convert
    self.converter.add(sound_file)
  File "/usr/bin/soundconverter", line 2085, in add
    output_filename = self.window.prefs.generate_filename(sound_file)
  File "/usr/bin/soundconverter", line 1827, in generate_filename
    return generator.get_target_name(sound_file)
  File "/usr/bin/soundconverter", line 545, in get_target_name
    result = pattern % dict
UnicodeDecodeError: 'utf8' codec can't decode byte 0xa2 in position 11: unexpected code byte

Local variables in innermost frame:
timestamp_string: '20100817_11_14_57'
sound_file: <__main__.SoundFile instance at 0x93eaacc>
pattern: '%(artist)s/%(album)s/%(.inputname)s.ogg'
basename: '04 Revoluci\xa2n'
ext: '.mp3'
host: None
dict: {'layer': 3L, 'private-id3v2-frame': <gst.Buffer 0xad40acf0 of size 15 and data 0x434f4d4d>, '.inputname': '04 Revoluci\xa2n', 'has-crc': False, 'timestamp': '20100817_11_14_57', 'image': <gst.Buffer 0x96f0a00 of size 124839 and data 0xffd8ffe0>, 'genre': u'Musica Cristiana', 'year': '', 'date': <GstDate: 1/1/2009>, 'bitrate': 128000L, 'channel-mode': u'joint-stereo', 'album': u'Revolucion', 'track-number': 4L, 'artist': u'ICZ WORSHIP', 'audio-codec': u'MPEG 1 Audio, Layer 3 (MP3)', 'title': u'Revoluci\xf3n', '.ext': '.mp3', 'emphasis': u'none', 'track-count': 0, 'mode': u'joint', 'container-format': u'Etiqueta ID3', 'album-artist': u'ICZ WORSHIP'}
key: 'container-format'
u: <gnomevfs.URI 'file:///home/Gerardo/Descargas/Kzi-Rev9/ICZ%20Worship%20-%20Revolucion%202009/04%20Revoluci%A2n.mp3'>
root: 'file:///home/Gerardo/Descargas/Kzi-Rev9/ICZ%20Worship%20-%20Revolucion%202009/'
self: <__main__.TargetNameGenerator instance at 0x93f588c>

How to reproduce
-----
1.Open sound converter and try to convert mp3 files to ogg but the name of some mp3s have an interrogation sign.
2.
3.
Comment 1 Gerardo Carmona 2010-08-17 13:18:21 EDT
Created an attachment (id=439169)
File: backtrace
Comment 2 Michael Schwendt 2010-08-17 13:45:06 EDT
Have you given the newer SoundConverter release in the "updates-testing" repository a try yet?

  https://admin.fedoraproject.org/updates/soundconverter-1.5.3-1.fc13

Is it reproducible with that version?
Comment 3 Gerardo Carmona 2010-08-17 13:55:53 EDT
the truth, do not know if it applies, I had not noticed that I had a old version, I try and let you know if it passes.

(In reply to comment #2)
> Have you given the newer SoundConverter release in the "updates-testing"
> repository a try yet?
> 
>   https://admin.fedoraproject.org/updates/soundconverter-1.5.3-1.fc13
> 
> Is it reproducible with that version?
Comment 4 Bug Zapper 2011-06-01 07:21:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-28 10:32:20 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.